# encoding: utf-8
module StringsFromApk
  # load apk
  class Resource
    attr_reader :json
    @@jar = File.expand_path '../' * 3 + 'strings_from_apk.jar', __FILE__
    def initialize apk_path, locale=nil
      json_folder = Dir::Tmpname.make_tmpname '/tmp/', nil
      json_file = File.join json_folder, 'strings.json'
      cmd = %Q(java -jar "#{@@jar}" "#{apk_path}" "#{json_folder}")
      cmd = cmd + %Q( "#{locale}") if locale
      `#{cmd}`
      @json = JSON.parse(File.read(json_file), max_nesting: 9999)

      # Remove the tmp folder after parsing.
      FileUtils.rm_rf json_folder
    end
    
    def get_string string
      @json[string]
    end
  end
end